# Interface TaskSettingsProperties

Properties that can be passed into the constructor for data/TaskSettings!TaskSettings.

interface TaskSettingsProperties {
enableAdd?: boolean;
enableDelete?: boolean;
enableEditing?: boolean;
enableExport?: boolean;
enableIdentify?: boolean;
enableQuery?: boolean;
enableSearch?: boolean;
enableUpdate?: boolean;
studioSearchSubindexId?: string;
}

#####
Index

### Properties

enableAdd?
enableDelete?
enableEditing?
enableExport?
enableIdentify?
enableQuery?
enableSearch?
enableUpdate?
studioSearchSubindexId?

##
Properties

### `Optional` enableAdd

enableAdd?: boolean

See data/TaskSettings!TaskSettings.enableAdd.

### `Optional` enableDelete

enableDelete?: boolean

See data/TaskSettings!TaskSettings.enableDelete.

### `Optional` enableEditing

enableEditing?: boolean

See data/TaskSettings!TaskSettings.enableEditing.

### `Optional` enableExport

enableExport?: boolean

See data/TaskSettings!TaskSettings.enableExport.

### `Optional` enableIdentify

enableIdentify?: boolean

See data/TaskSettings!TaskSettings.enableIdentify.

### `Optional` enableQuery

enableQuery?: boolean

See data/TaskSettings!TaskSettings.enableQuery.

### `Optional` enableSearch

enableSearch?: boolean

See data/TaskSettings!TaskSettings.enableSearch.

### `Optional` enableUpdate

enableUpdate?: boolean

See data/TaskSettings!TaskSettings.enableUpdate.

### `Optional` studioSearchSubindexId

studioSearchSubindexId?: string

See data/TaskSettings!TaskSettings.studioSearchSubindexId.